Subject: Re: [bug#61009] [PATCH] Building Icecat and jemalloc on aarch64-linux

From: Christopher Baines <[email-masked]>
Date: Thu, 02 Mar 2023 10:07:17 +0000

Roman Scherer <[email-masked]> writes:

> Hi Christopher,
>
> thanks for applying the patch and for the explanation.
>
> Not sure what you meant by "missed". But, I sent an improved version of
> the jemalloc patches as a separate issue a while ago. They are here:
>
> https://lists.gnu.org/archive/html/guix-patches/2023-02/msg00698.html
>
> Without the jemalloc patches, Icecat and all other packages using
> jemalloc crash with the error `<jemalloc>: Unsupported system page size`
> on aarch64 systems that run with kernel page sizes > 4K.
>
> If you are familiar with this, I could need some help here as well ;)

Sending the jemalloc patch seperately sounds good. I'm going to mark
this issue as done since that's tracked separately.

I've replied to that separate issue, but I think that these changes may
already be in place on core-updates. I'm going to have a go at merging
master in to core-updates which should allow for testing icecat in
core-updates with the changes I've merged in master.